<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
if ($acces == 1) {
if($admintest && $adminsecu)  {

Max_OpenTable();
echo "<b>"._GESTIONABUSE."</b><br />"
    ."<table border='1' width='100%'><tr>"
    ."<td align='center'><b>"._FOLDERS."</b></td><td align='center'><b>"._SIZE."</b></td><td align='center'><b>"._RAPPORT."</b></td></tr><tr>"
    ."<td valign='top'>&nbsp;&nbsp; $folder</td><td valign='top' align='center'>";

$taille = spaceDisk("".$folder."", 1);

$taillekb = round(($taille / 1024), 3);
$taillemb = round(($taillekb / 1024), 3);
$taillegb = round(($taillemb / 1024), 3);

if ($taillegb >= 1) {
$taillereal = " <b>$taillegb</b> "._MEM_1."";}
elseif ($taillemb >= 1) {
$taillereal = " <b>$taillemb</b> "._MEM_2."";}
elseif ($taillekb >= 1) {
$taillereal = " <b>$taillekb</b> "._MEM_3."";}
else { $taillereal = " <b>$taille</b> "._MEM_4."";}

echo "$taillereal</td><td align='center'>";

if ( $folder == "abuse" ){
$compar = 32811; }
elseif ( $folder == "admin" ){
$compar = 2098134; }
elseif ( $folder == "blocks" ){
$compar = 146582; }
elseif ( $folder == "images" ){
$compar = 1128490; }
elseif ( $folder == "includes" ){
$compar = 650064; }
elseif ( $folder == "kernel" ){
$compar = 784967; }
elseif ( $folder == "language" ){
$compar = 189272; }
elseif ( $folder == "modules" ){
$compar = 7560591; }
elseif ( $folder == "themes" ){
$compar = 827091; }

if ( $folder == "kernel" ) {

if ( $taille >= 782000 and $taille <= 786000 ) {
	echo "&nbsp;&nbsp;$imgok  "._CORRECTSIZE." $taille<br />";
	} else {
	$a++; echo "&nbsp;&nbsp;$imgno "._NOCORRECTSIZE." $taille<br />";
}

} else {

if ($taille == $compar)   {
	echo "&nbsp;&nbsp;$imgok  "._CORRECTSIZE." $taille<br />";
	} else {
	$a++; echo "&nbsp;&nbsp;$imgno "._NOCORRECTSIZE." $taille<br />";
}
}
echo "</td></tr></table>";

Max_CloseTable();

br('1');
echo "<center><a href='javascript: self.close ()'>"._CLOSE_WINDOWS."</a></center>";
if ($a) { echo "<br /><center><font size='6' color='red'>"._WARNING."</font></center>"; }
die();

}
} else {
	echo "Access Denied";
}